Page MenuHomePhabricator

Close chairwiki
Open, Stalled, LowestPublic

Description

Chairwiki was created back when we went through the Oprah phase of wiki creation (and you get a wiki, and you get a wiki, and you get a wiki). Ostensibly, the wiki is for the chair of the board to use.

But it appears to have been edited exactly 17 (18 if you decide to count the initial Main Page that is created automatically) times, all in January/February 2007.

We should just close it outright, but I'd like to confirm with the board first. Self-assigning so nobody tries to lick this cookie or get itchy fingers.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Hey, thank you for the ping. Could you give me access to see what is in it please? Might even save you from moving content to boardwiki actually?

demon added a comment.Jan 24 2018, 6:43 PM

Sure, gimme an e-mail address to send the temporary password to and I can create you an account.

Schiste added a comment.EditedJan 25 2018, 9:08 AM

chenner@wikimedia.org

revi added a subscriber: revi.Jan 26 2018, 3:00 AM
demon added a comment.Jan 31 2018, 5:28 PM

Account created (your usual username "Schiste"), temporary password sent. Sorry for the lag--all hands + team offsite :)

demon added a comment.Feb 28 2018, 7:00 PM

Heya, wonder if you had a chance to look at this?

Wondering if deletion wouldn't be more appropriate after the content there (if any) is moved to the boardwiki. A closed private wiki is just weird. Of course, deletions require more efforts than just add it to closed.dblist. Up to you.

demon added a comment.Mar 2 2018, 3:15 AM

I'd rather just close. Deletion is a pain in the ass and not worth the effort really. But yes: we can setup import sources if there's any content here you wanna keep Christophe.

Any progress here?

demon lowered the priority of this task from Medium to Lowest.May 21 2018, 1:56 PM

Nada. But under no circumstances is it urgent.

demon removed demon as the assignee of this task.Jun 7 2018, 6:45 AM

@Schiste Hi. Did you got access to the wiki? Any content you want to move? Let us know so we can set transwiki import sources from/to chairwiki to the wiki you want to move the content to. Best regards.

@MarcoAurelio I'm wondering if it's possible to do transwiki import between private wikis. I cannot see private wikis in Special:Interwiki not on SUL wiki nor on any WMF hosted private wiki I have access to. As existing interwiki link is mandatory for setuping transwiki import, I guess it is not possible via transwiki import.

The best we can do is to wait until T197024 is resolved (I have talked about it with some of the deployers and they share my opinion it should be not a problem on private/fishbowl wikis) and then local bureaucrats on target wiki will be able to grant importer flag, which will allow importing via XML dump. Such dump can be generated by whoever has read access to source wiki via Special:Export.

Best,
Martin

I can already grant @Schiste permissions via meta on both chair and board wikis in case he needs to do something there. Regards.

demon added a comment.Jun 22 2018, 2:51 PM

I already granted him access some time ago to chairwiki.

Change 443585 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Close chairwiki

https://gerrit.wikimedia.org/r/443585

I've left @Schiste a message on Meta.

Hi there, if you give me access I can check out the wiki and come back to you asap.

@Raystorm thank you. I cannot do that as I don't have access. Maybe @demon or @Reedy could (via createAndPromote I guess, in case you don't have accounts there?).

@Raystorm Now that you're the Chair, I guess someone can grant you access to that wiki. @Jalexander thoughts?

Dzahn added a subscriber: Dzahn.Oct 19 2018, 5:41 PM

@Reedy @Jalexander Could you give access to @Raystorm ?

Dzahn moved this task from Close to Stalled / Needs Input on the Wiki-Setup board.Oct 19 2018, 5:41 PM
Dzahn edited projects, added Wiki-Setup; removed Wiki-Setup (Close).

OTOH, does locking prevent exporting of content? I don't think so, so we can just close and let @Raystorm fetch and retrieve any content. If locking does prevent Special:Export usage, then I don't mind to continue waiting (in fact I'm mostly afk these days so this can continue waiting).

OTOH, does locking prevent exporting of content? I don't think so, so we can just close and let @Raystorm fetch and retrieve any content. If locking does prevent Special:Export usage, then I don't mind to continue waiting (in fact I'm mostly afk these days so this can continue waiting).

It shouldn't. I have no account in closed private wiki, so I cannot verify, but it works on aawiki (which is public). As everybody who is able to view Special:Export is able to use it, it should work.

In that case, the patch for closing the wiki is already uploaded on Gerrit, should ops feel inclined to close it now. Otherwise, as I've said, I can wait.

greg added a subscriber: greg.

unlicking...

Dzahn added a comment.Nov 20 2018, 1:00 AM

In that case, the patch for closing the wiki is already uploaded on Gerrit

You mean https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/443585/ , right?

should ops feel inclined to close it now

I don't think "ops" translates to the team formerly known as Operations or one of it's subteams in this context. IIsn't that a mediawiki config change that needs to be deployed like other mw config changes?

@Dzahn Correct on everything. However most of us do not have access to said private wiki, and the current chair, @Raystorm, nor its past chair @Schiste (despite my message on his talk page at Meta) have replied whether there's something to export to the current board wiki or any other location. As such, this task is stalled until such replies come. I'll email @Raystorm just in case she does not receive Phabricator notifications and will update when I have the chance (still busy IRL). Thanks.

I requested in this thread access to chairwiki, I don't have it yet so cannot assess.

@Reedy: Can you create an account for @Raystorm on chairwiki? Thanks!

demon added a comment.Nov 21 2018, 7:05 AM

I can already tell everyone there's nothing of interest...

Okay so I move that we SWAT the closing patch. Would someone be willing to schedule the above patch? I have no time a.t.m. to attend any SWAT window. Sorry.

Urbanecm claimed this task.Nov 22 2018, 5:57 AM

Ok, I will do that.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptNov 22 2018, 5:57 AM
Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Nov 22 2018, 5:57 AM
demon added a comment.Nov 23 2018, 8:44 AM

Also, we're just closing it, not deleting. The data isn't going anywhere in case someone changes their mind down the road and thinks the data is useful--which it isn't

MarcoAurelio edited projects, added Wiki-Setup (Close); removed Wiki-Setup.

I've scheduled this for deployment to tomorrow, Tuesday, December 04, 12:00–13:00 UTC.

I still don't have access. Who is supposed to grant me access?

Any deployer, or probably anybody who already have access to chairwiki (may require sysop status, don't know). That's a lot of people. I added this thing [into the deployments calendar])https://wikitech.wikimedia.org/wiki/Deployments), hoping you'll have access today.

To be sure, de-scheduling and waiting for explicit chair approval.

Reedy added a comment.Dec 4 2018, 9:05 AM

Sorry for the delay @Raystorm I've been travelling

If you do a password reset on chairwiki using your username or the email you have set on enwiki et al, you should be able to login as a sysop when you create a new password

Thanks @Reedy, I now have access.

Ok, I have done an initial scan of the content - DO NOT close the wiki. I will be getting Legal involved for their own assessment, but since this is not urgent, it won't be immediately (ie it is very unlikely I will do it before the holidays). Thanks everyone.

Dzahn added a comment.Dec 4 2018, 4:21 PM

fwiw, quoting Chad from further above "Also, we're just closing it, not deleting. The data isn't going anywhere in case someone changes their mind down the road and thinks the data is useful--which it isn't"

Saw, not relevant. I need to be able to access and give access, maybe even edit, which cannot happen if the wiki is closed. I am not speculating on the contents of the wiki either (obviously).

demon removed a subscriber: demon.Dec 4 2018, 5:01 PM
Urbanecm changed the task status from Open to Stalled.Dec 4 2018, 5:09 PM

Ok, in that case, marking this as stalled. Let us know your decision whenever you have it.

Will do @Urbanecm thank you.

Dzahn removed a subscriber: Dzahn.Dec 4 2018, 5:34 PM
Urbanecm edited projects, added Wiki-Setup; removed Wiki-Setup (Close).

Change 443585 abandoned by MarcoAurelio:
Close chairwiki

Reason:
Per task. This patch has become old and it's no longer accurate. When there's an agreement, please make a new one or ask me to upload a new one. Thanks.

https://gerrit.wikimedia.org/r/443585

Also noting that apparently closing a private wiki doesn't have any effects as per what happened with internal.wikimedia (cc. @Urbanecm)

Urbanecm removed Urbanecm as the assignee of this task.Jul 14 2019, 3:48 PM
Urbanecm claimed this task.
Urbanecm removed Urbanecm as the assignee of this task.Jul 14 2019, 4:07 PM

Also noting that apparently closing a private wiki doesn't have any effects as per what happened with internal.wikimedia (cc. @Urbanecm)

True. Filled T227980 for that.

Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Aug 25 2019, 11:53 PM

Ok, in that case, marking this as stalled. Let us know your decision whenever you have it.

@Raystorm: 18 months later, any news / decision? (Just checking so this does not get forgotten.)

Looks like @Raystorm does not answer. How to proceed here? Someone would have to contact the Board? Or what's needed?

Sorry, I wasn't available in May. I reached out at the time to the General Counsel, but then we got a new one. Will check if it has fallen through the cracks in the transition.